import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/flx_ui.dart';

class AuthScaffold extends StatelessWidget {
  final String subtitle;
  final Widget body;

  const AuthScaffold({
    Key? key,
    required this.subtitle,
    required this.body,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Padding(
        padding: EdgeInsets.all(20),
        child: Column(
          children: [
            AuthTitleBar(subtitle: subtitle),
            Expanded(child: body),
          ],
        ),
      ),
    );
  }
}
