import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class SignInAcceptController extends GetxController {
  final SignInfoTunnelModel _signInfo;

  SignInAcceptController(this._signInfo);

  void onAcceptButtonTap(BuildContext context) {
    Navigator.pushAndRemoveUntil(
      context,
      PageTransition(
        type: PageTransitionType.fade,
        child: SignInScreen(
          signInfo: _signInfo,
        ),
      ),
      (e) => false,
    );
  }

  void onBackButtonTap(BuildContext context) {
    Navigator.of(context, rootNavigator: true).pop();
  }
}
